Last Comment Bug 620068 - Port |Bug 614790 - Bookmarks roots init could be locking with the first visit addition| to SeaMonkey
: Port |Bug 614790 - Bookmarks roots init could be locking with the first visit...
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: Bookmarks & History (show other bugs)
: Trunk
: All All
: -- normal (vote)
: seamonkey2.1b2
Assigned To: Robert Kaiser
:
:
Mentors:
Depends on: 614790 620066
Blocks: 618860
  Show dependency treegraph
 
Reported: 2010-12-17 19:17 PST by Serge Gautherie (:sgautherie)
Modified: 2013-01-01 06:32 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
v1: just port the FF patch (2.94 KB, patch)
2010-12-19 12:14 PST, Robert Kaiser
neil: review+
Details | Diff | Splinter Review

Description Serge Gautherie (:sgautherie) 2010-12-17 19:17:14 PST

    
Comment 1 Robert Kaiser 2010-12-19 12:14:23 PST
Created attachment 498634 [details] [diff] [review]
v1: just port the FF patch

This is a straight port of the applying parts of the FF patch to our code, basing on the bug 620066 patch.
Comment 2 neil@parkwaycc.co.uk 2010-12-20 07:15:06 PST
Comment on attachment 498634 [details] [diff] [review]
v1: just port the FF patch

>+  _hasBookmarksObserver: false,
>+  uninit: function PSB_uninit()
Nit: add in a blank line to avoid confusing blame.
Comment 3 Robert Kaiser 2011-01-18 10:01:53 PST
Pushed as http://hg.mozilla.org/comm-central/rev/a247add81cef

Note You need to log in before you can comment on or make changes to this bug.